Subject: Re: [patch net-next 15/15] devlink: save devlink_port_ops into a variable in devlink_port_function_validate()

From: Jakub Kicinski <[email-masked]>
Date: Thu, 25 May 2023 08:29:33 -0700

On Thu, 25 May 2023 07:58:09 +0200 Jiri Pirko wrote:
> >I was kinda expected last patch will remove the !ops checks.
> >Another series comes after this to convert more drivers?  
> 
> Well, there are still drivers that don't use the port at all ops. I can
> have them register with empty struct if you like, no strong opinition. I
> can do that as follow-up (this set has 15 patches already anyway). Let
> me know.

Hm. Or maybe we can hook in an empty ops struct in the core when driver
passes NULL? No strong preference.